# grmlfeedbot
This bot parses newsfeeds and posts them to a mastodon account

## install
```bash
apt install python3-mastodon 
apt install python3-feedparser 
git clone https://git.grml.de/robin/python-grmlfeedbot.git 
```
## setup
```bash
cd python-grmlfeedbot
cp settings.py.sample settings.py 
```
Edit settings.py for your setup 
## run
Run once (reads from settings)
```bash
python3 main.py 
```
Run once with different settingsfile (you need a log and data directory for each settingsfile) 
```bash
python3 main.py --settingsfile settings2
```
Keep running with a delay (default = 3600)

```bash
python3 main.py --daemon --delay 3600
```